CometAPI를 통해 POST /runwayml/v1/video_upscale를 사용하여 Runway의 4배 비디오 업스케일 작업을 시작하며, 버전 관리를 지원하고 한 변 최대 4096px로 제한됩니다.
curl --request POST \
--url https://api.cometapi.com/runwayml/v1/video_upscale \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Runway-Version: <x-runway-version>' \
--data '
{
"videoUri": "https://filesystem.site/cdn/20250818/c4gCDVPhiBc6TomRTJ7zNg0KwO1PSJ.mp4",
"model": "upscale_v1"
}
'{
"id": "<string>"
}X-Runway-Version 헤더를 전송하세요. 예: 2024-11-06model: upscale_v1를 사용하세요videoUri를 제공하세요완료까지 폴링
Bearer token authentication. Use your CometAPI key.
Runway version header, for example 2024-11-06.
Task accepted.
curl --request POST \
--url https://api.cometapi.com/runwayml/v1/video_upscale \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Runway-Version: <x-runway-version>' \
--data '
{
"videoUri": "https://filesystem.site/cdn/20250818/c4gCDVPhiBc6TomRTJ7zNg0KwO1PSJ.mp4",
"model": "upscale_v1"
}
'{
"id": "<string>"
}